import request from '@/utils/request'

// 查询可靠性管理清单列表
export function listKekao(query) {
  return request({
    url: '/reliability/kekao/list',
    method: 'get',
    params: query
  })
}

// 查询可靠性管理清单详细
export function getKekao(id) {
  return request({
    url: '/reliability/kekao/' + id,
    method: 'get'
  })
}

// 新增可靠性管理清单
export function addKekao(data) {
  return request({
    url: '/reliability/kekao',
    method: 'post',
    data: data
  })
}

// 修改可靠性管理清单
export function updateKekao(data) {
  return request({
    url: '/reliability/kekao',
    method: 'put',
    data: data
  })
}

// 删除可靠性管理清单
export function delKekao(id) {
  return request({
    url: '/reliability/kekao/' + id,
    method: 'delete'
  })
}

// 导出可靠性管理清单
export function exportKekao(query) {
  return request({
    url: '/reliability/kekao/export',
    method: 'get',
    params: query
  })
}